<?xml version="1.0"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:template match="personas">
  <html>
    <head>
      <title>Agenda personal</title>
    </head>
    <body>
        <center>
                 <h1>Agenda Personal</h1>
       <table width="90%" border="1">
                  <xsl:apply-templates/>
       </table>
       </center>
    </body>
  </html>
</xsl:template>

<xsl:template match="persona">
  <tr>
    <td>
     <xsl:value-of select="apellidos"/>
     , 
     <xsl:value-of select="nombre"/>
    </td>
    <td>
      <xsl:value-of select="@relacion"/>
    </td>
    
       <xsl:apply-templates select="nacimiento"/>
    
    <td>
                <xsl:apply-templates select="direcciones"/>
    </td>
  </tr>
</xsl:template>
<xsl:template match="nacimiento">
  <td>
    <xsl:value-of select="@dia"/>
    de
    <xsl:value-of select="@mes"/>
    de
    <xsl:value-of select="@anio"/>
  </td>
</xsl:template>

<xsl:template match="direcciones">
   <ul>
      <xsl:apply-templates select="direccion"/>
   </ul>
</xsl:template>

<xsl:template match="direccion">
   <li>
     (
               <xsl:value-of select="@tipo"/>
     )
         <xsl:value-of select="calle"/>. 
         <xsl:value-of select="cpostal"/>. 
         <xsl:value-of select="poblacion"/>.
         <xsl:value-of select="provincia"/>.
   </li>
</xsl:template>
</xsl:stylesheet>